<template>
    <div class=" full-width row justify-center">
        <div class="col-lg-3 col-12">
            <Container :max-height="maxHeight" class="full-width column">
                <div class="col-9">
                    <LottieAnimation :loop="false" :data="animation" class="full-height"/>
                </div>
                <div class="col-3 text-h6 text-weight-thin q-mx-auto" v-html="text"/>
            </Container>
        </div>
    </div>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import Container from "components/Core/Container.vue";
import LottieHover from "components/Core/LottieHover.vue";
import LottieAnimation from "components/Core/LottieAnimation.vue";

@Component({
    components: {LottieAnimation, LottieHover, Container}
})
export default class AnimationComponent extends Vue {
    @Prop() animation!: object
    @Prop() text!: string;
    @Prop({default: undefined}) maxHeight?: boolean | number;
    @Prop({default: undefined}) maxWidth?: boolean | number;
}
</script>
